QGIS Application - Feature request #1751
SVG Symbols: nothing shown if symbol file is missing
2009-06-27 01:03 PM - Mike Taves

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 11811
Description

If a QGS project file that uses custom SVG symbols is passed from one computer setup to another, the points that use the customized
symbols are silently not displayed.

Omitting the display of a symbol can be a serious flaw to the end user. At minimum, it would be nice to see the points, perhaps stylized as
a circle question mark. In addition, a notice may be displayed when opening a project file notifying that it cannot find "mysymbol.svg",
although this could be more annoying than useful for some folks.

Perhaps, a better solution (and not intended for this ticket) would be to allow the user to embed certain SVG symbol definitions in the QGS
file.

Associated revisions

Revision 70646aba - 2009-06-28 12:05 AM - Jiirgen Fischer

fix #1751

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@10987 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 1166fbff - 2009-06-28 12:05 AM - Jiirgen Fischer

fix #1751

git-svn-id: http://svn.osgeo.org/qgis/trunk@10987 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-06-27 03:06 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in
